- updated to 19.04.1 auto/th/ka5-parley-19.04.1-1
authorWitold Filipczyk <witekfl@poczta.onet.pl>
Mon, 13 May 2019 09:40:43 +0000 (11:40 +0200)
committerWitold Filipczyk <witekfl@poczta.onet.pl>
Mon, 13 May 2019 09:40:43 +0000 (11:40 +0200)
- packaged docs
- macro kframever

ka5-parley.spec

index 0ba525703e0188ed7d2ceb61470ec68503f03026..6b1df3797ef992f48a5d667f36451433f795b69b 100644 (file)
@@ -1,14 +1,15 @@
-%define                kdeappsver      18.12.1
+%define                kdeappsver      19.04.1
+%define                kframever       5.56.0
 %define                qtver           5.9.0
 %define                kaname          parley
 Summary:       parley
 Name:          ka5-%{kaname}
-Version:       18.12.1
+Version:       19.04.1
 Release:       1
 License:       GPL v2+/LGPL v2.1+
 Group:         X11/Applications
 Source0:       http://download.kde.org/stable/applications/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
-# Source0-md5: 0bcb774f1f8d37709842a87e15031c52
+# Source0-md5: ddaaedcba6dc4959fd87cb65809f5398
 URL:           http://www.kde.org/
 BuildRequires: Qt5Concurrent-devel
 BuildRequires: Qt5Core-devel >= %{qtver}
@@ -26,20 +27,20 @@ BuildRequires:      Qt5WebEngine-devel >= 5.11.1
 BuildRequires: Qt5Widgets-devel >= 5.11.1
 BuildRequires: cmake >= 2.8.12
 BuildRequires: gettext-devel
-BuildRequires: ka5-libkeduvocdocument-devel
-BuildRequires: kf5-extra-cmake-modules >= 5.53.0
-BuildRequires: kf5-kcmutils-devel >= 5.22
-BuildRequires: kf5-kconfig-devel >= 5.22
-BuildRequires: kf5-kcoreaddons-devel >= 5.22
-BuildRequires: kf5-kcrash-devel >= 5.22
-BuildRequires: kf5-kdoctools-devel >= 5.22
-BuildRequires: kf5-ki18n-devel >= 5.22
-BuildRequires: kf5-kio-devel >= 5.22
-BuildRequires: kf5-knewstuff-devel >= 5.22
-BuildRequires: kf5-knotifications-devel >= 5.22
-BuildRequires: kf5-kross-devel >= 5.22
-BuildRequires: kf5-kxmlgui-devel >= 5.22
-BuildRequires: kf5-sonnet-devel >= 5.22
+BuildRequires: ka5-libkeduvocdocument-devel >= %{kdeapssver}
+BuildRequires: kf5-extra-cmake-modules >= %{kframever}
+BuildRequires: kf5-kcmutils-devel >= %{kframever}
+BuildRequires: kf5-kconfig-devel >= %{kframever}
+BuildRequires: kf5-kcoreaddons-devel >= %{kframever}
+BuildRequires: kf5-kcrash-devel >= %{kframever}
+BuildRequires: kf5-kdoctools-devel >= %{kframever}
+BuildRequires: kf5-ki18n-devel >= %{kframever}
+BuildRequires: kf5-kio-devel >= %{kframever}
+BuildRequires: kf5-knewstuff-devel >= %{kframever}
+BuildRequires: kf5-knotifications-devel >= %{kframever}
+BuildRequires: kf5-kross-devel >= %{kframever}
+BuildRequires: kf5-kxmlgui-devel >= %{kframever}
+BuildRequires: kf5-sonnet-devel >= %{kframever}
 BuildRequires: ninja
 BuildRequires: qt5-build >= %{qtver}
 BuildRequires: rpmbuild(macros) >= 1.164
@@ -84,6 +85,7 @@ install -d build
 cd build
 %cmake \
        -G Ninja \
+       -DHTML_INSTALL_DIR=%{_kdedocdir} \
        -DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
        ..
 %ninja_build
This page took 0.058619 seconds and 4 git commands to generate.